﻿.chart-legend,
.bar-legend,
.line-legend,
.pie-legend,
.radar-legend,
.polararea-legend,
.doughnut-legend {
    list-style-type: none;
    margin-top: 0.5rem;
    text-align: center;
    /* NOTE: Browsers automatically add 40px of padding-left to all lists, so we should offset that, otherwise the legend is off-center */
    -webkit-padding-start: 0;
    /* Webkit */
    -moz-padding-start: 0;
    /* Mozilla */
    padding-left: 0;
    /* IE (handles all cases, really, but we should also include the vendor-specific properties just to be safe) */
}

    .chart-legend li,
    .bar-legend li,
    .line-legend li,
    .pie-legend li,
    .radar-legend li,
    .polararea-legend li,
    .doughnut-legend li {
        display: inline-block;
        white-space: nowrap;
        position: relative;
        margin-bottom: 0.4rem;
        border-radius: 0.5rem;
        padding: 0.2rem 0.8rem 0.2rem 2.8rem;
        font-size: smaller;
        cursor: default;
    }

.chart-legend-icon,
.bar-legend-icon,
.line-legend-icon,
.pie-legend-icon,
.radar-legend-icon,
.polararea-legend-icon,
.doughnut-legend-icon {
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    width: 2rem;
    height: 2rem;
    border-radius: 0.5rem;
}

.highcharts-container {
    margin: 1em auto;
}

.highcharts-data-table table {
    font-family: Verdana, sans-serif;
    border-collapse: collapse;
    border: 1px solid #EBEBEB;
    margin: 10px auto;
    text-align: left;
    width: 100%;
    max-width: 100%;
}

.highcharts-figure, .highcharts-data-table table {
    min-width: 80%;
    max-width: 100%;
    margin: 1em auto;
}

.highcharts-data-table table {
    font-family: Verdana, sans-serif;
    border-collapse: collapse;
    border: 1px solid #EBEBEB;
    margin: 10px auto;
    text-align: left;
    width: 100%;
    max-width: 100%;
    margin-bottom: 2em;
}

.highcharts-data-table caption {
    padding: 1em 0;
    font-size: 1.2em;
    color: #555;
}

.highcharts-data-table th {
    font-weight: 600;
    padding: 0.5em;
}

.highcharts-data-table td, .highcharts-data-table th, .highcharts-data-table caption {
    padding: 0.5em;
}

.highcharts-data-table thead tr, .highcharts-data-table tr:nth-child(even) {
    background: #f8f8f8;
}

.highcharts-data-table tr:hover {
    background: #f1f7ff;
}


input[type="number"] {
    min-width: 5rem;
}

.highcharts-full-screen {
    width: 100% !important;
    height: 100% !important;
}

.highcharts-tooltip {
    z-index: 9998;
    opacity: 1;
}



.m-b-1 {
    font-size: 5rem;
    position: relative;
    float: left;
    width: 20%;
    height: 100%;
    text-align: center;
    background-color: rgba(27,27,27,1);
    border-top-left-radius: 12% 5%;
    border-bottom-left-radius: 12% 5%;
    z-index: 1;
    text-shadow: 0px 1rem 6rem rgba(255,255,255,0.5);
}

    .m-b-1:before {
        position: relative;
        top: 50%;
        transform: translateY(-50%);
        display: block;
    }




.dataViewer {
    grid-row: 1;
    display: grid;
    grid-template-columns: 50% 50%;
    grid-gap: 1rem;
}

.dataViewer_div {
    width: calc(100% - 1rem);
}

.numberCircle {
    font: 32px Arial, sans-serif;
    width: 2em;
    height: 2em;
    box-sizing: initial;
    background: #fff;
    border: 0.1em solid #666;
    color: #666;
    text-align: center;
    border-radius: 50%;
    line-height: 2em;
    box-sizing: content-box;
}

.data_view_grid {
    margin: 2rem;
    color: whitesmoke;
    text-align: center;
    overflow: hidden;
    transition-duration: 0.5s;
    height: 85%
}

    .data_view_grid:hover {
        transform: scale(1.06);
    }


.statistic-counter {
    font-size: 3rem;
    color: dodgerblue;
    font-weight: 200;
}

@keyframes slideInFromLeft {
    0% {
        transform: translateX(-40%);
    }

    100% {
        transform: translateX(0);
    }
}

@keyframes slideInFromTop {
    0% {
        transform: translateY(-5%);
    }

    100% {
        transform: translateY(0);
    }
}

.data_view_grid_enter {
    overflow: hidden;
    height: 100%;
    color: whitesmoke;
    text-align: center;
    background-color: rgba(27,27,27,0.5);
    cursor: pointer;
    z-index: -1;
    margin-top: 1px;
}

.enter_data {
    animation: .5s ease-out 0s 1 slideInFromLeft;
    border-top-right-radius: 4% 7%;
    border-bottom-right-radius: 4% 7%;
}

.miniPopup {
    animation: 1s ease-out 0s 1 slideInFromTop;
    overflow: hidden;
    height: 100%;
    color: whitesmoke;
    text-align: center;
    background-color: rgba(27,27,27,0.5);
    border-top-right-radius: 6%;
    border-bottom-right-radius: 6%;
    z-index: 10;
    border-radius: 6%;
    height: max-content
}


.data_view_grid_enter:hover {
    filter: brightness(150%);
}

.data_view_grid_complete {
    margin: 2rem;
    color: whitesmoke;
    text-align: center;
    overflow: hidden;
    background-color: rgba(27,27,27,0.5);
    border-radius: 1.7% / 7%;
    transition-duration: 0.5s;
}

    .data_view_grid_complete:hover {
        transform: scale(1.06);
        filter: brightness(140%);
    }


#grid_data_view {
    width: 100%;
    height: calc(100% - 3rem);
    display: grid;
    grid-template-columns: 25% 25% 25% 25%;
    grid-template-rows: 25% 25% 25% 25%;
}

.data_view_grid_center {
    margin: 2rem;
    color: whitesmoke;
    text-align: center;
    overflow: hidden;
    background-color: rgba(27,27,27,0.5);
    border-radius: 2.5% / 5%;
    transition-duration: 0.5s;
}

    .data_view_grid_center:hover {
        transform: scale(1.06);
        filter: brightness(140%);
    }
